Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 15-10-2017 15:52:23

Slyfox
Membre
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

Bonjour les ami(e)s,

Voulant télécharger une playlist de YouTube, j'ai installé le paquet youtube-dl version 2017.05.18.1-1 pour Debian stretch (stable).

Voici ma ligne de commande pour télécharger cette playlist:

youtube-dl -ci --yes-playlist -o "%(playlist_index)s-%(title)s.%(ext)s" "https://www.youtube.com/watch?v=geVYIHOat5o&list=RDgeVYIHOat5o"




Et malheureusement impossible de télécharger quoi que ce soit. sad

Je désinstalle ce paquet et installe le paquet youtube-dl pour sid version: 2017.09.24-0.1.

Je retape la ligne de commande ci-dessus et là cela fonctionne. Alors il me semble que la version 2017.05.18.1-1 pour  Debian stretch (stable) semble bugger ? Chez-vous cela fonctionne avec la version 2017.05.18.1-1?

Dernière modification par Slyfox (15-10-2017 17:49:03)

Hors ligne

#2 15-10-2017 16:05:09

H4X0R
Membre
Distrib. : Debian GNU/Linux 9.2 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Xfce4
Inscription : 14-09-2017

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

tu peut mettre pwn entre "www."et "you" dans l'URL

Hors ligne

#3 15-10-2017 17:51:01

Slyfox
Membre
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

Oups! sad  je me suis trompé de ligne de commande lors de mon premier message, voici la bonne ligne de commande:

youtube-dl -ci --yes-playlist -o "%(playlist_index)s-%(title)s.%(ext)s" "https://www.youtube.com/watch?v=geVYIHOat5o&list=RDgeVYIHOat5o"



H4X0R a écrit :

tu peut mettre pwn entre "www."et "you" dans l'URL



Salut H4X0R,

Merci de me répondre par contre je ne comprends pas ton conseil ?

Dernière modification par Slyfox (15-10-2017 17:53:23)

Hors ligne

#4 15-10-2017 18:23:54

H4X0R
Membre
Distrib. : Debian GNU/Linux 9.2 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Xfce4
Inscription : 14-09-2017

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

Désole ma méthode  ne permet de télécharger une playlist. Elle permet de télécharger vidéo par vidéo sur le navigateur et sans youtube-dl

Hors ligne

#5 16-10-2017 11:04:23

H4X0R
Membre
Distrib. : Debian GNU/Linux 9.2 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Xfce4
Inscription : 14-09-2017

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

Par exemple tu cherches dans ton navigateur
www.pwnyoutube.com/watch?v=geVYIHOat5o&list=RDgeVYIHOat5o
Je pense que s'a ne répond pas à tes attentes. J'ai pas lu la fin de ton post
j'ai tester youtube-dl sur stretch sa fonctionne très bien

Dernière modification par H4X0R (16-10-2017 11:06:05)

Hors ligne

#6 16-10-2017 18:22:53

Slyfox
Membre
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

H4X0R a écrit :


Je pense que s'a ne répond pas à tes attentes.



Effectivement mon but est d'utiliser youtube-dl (c'est pour un script).

H4X0R a écrit :


j'ai tester youtube-dl sur stretch sa fonctionne très bien



Merci d'avoir fait le test smile mais tu l'as aussi fait avec mon lien ? si oui il télécharge la playlist sans problème ?

Hors ligne

#7 16-10-2017 20:02:14

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

Pour youtube-dl, je te conseille vraiment de juste le télécharger et de le mettre à jour quand il plante. Il convient pas aux versions packagées, ça évolue trop vite (même si dans ton cas c'est étrange, faudrait voir si "youtube-dl -v" te sort les mêmes versions ou si juste le packaging donne une fausse version).

Moi sous jessie (non trafiqué, python et dépendances de jessie) l'executable youtube-dl tourne en dernière version, aucun problème.

Agenda du libre : se faire dépanner/dépanner IRL ! Le libre n'est pas qu'un phénomène internet.
Framapad sur les balados : Emissions audio pro/amateur, votre radio sur-mesure !

Hors ligne

#8 18-10-2017 08:33:10

Slyfox
Membre
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

Salut otyugh smile

J'ai réinstallé le paquet pour Debian stretch (stable) et voici le retour de cette commande:

YouTube-dl -v




[debug] System config: []
[debug] User config: []
[debug] Custom config: []
[debug] Command-line args: ['-v']
[debug] Encodings: locale UTF-8, fs utf-8, out UTF-8, pref UTF-8
[debug] youtube-dl version 2017.05.18.1
[debug] Python version 3.5.3 - Linux-4.9.0-3-amd64-x86_64-with-debian-9.1
[debug] exe versions: ffmpeg 3.3.4, ffprobe 3.3.4, rtmpdump 2.4
[debug] Proxy map: {}
Usage: youtube-dl [OPTIONS] URL [URL...]
 



J'ai tenté une mise à jour du paquet mais sans succès.

youtube-dl -U



It looks like you installed youtube-dl with a package manager, pip, setup.py or a tarball. Please use that to update.



et après une mise à jour "général des paquets"

apt-get upgrade



je refais

youtube-dl -v



et voici le retour:

[debug] System config: []
[debug] User config: []
[debug] Custom config: []
[debug] Command-line args: ['-v']
[debug] Encodings: locale UTF-8, fs utf-8, out UTF-8, pref UTF-8
[debug] youtube-dl version 2017.05.18.1
[debug] Python version 3.5.3 - Linux-4.9.0-3-amd64-x86_64-with-debian-9.2
[debug] exe versions: ffmpeg 3.3.4, ffprobe 3.3.4, rtmpdump 2.4
[debug] Proxy map: {}
Usage: youtube-dl [OPTIONS] URL [URL...]
 



et comme on peut le voir c'est toujour la version 2017.05.18.1

NB
Chez "packages.debian.org", il propose aussi cette version.
Voici le lien
: https://packages.debian.org/stretch/youtube-dl

Dernière modification par Slyfox (18-10-2017 08:59:41)

Hors ligne

#9 18-10-2017 12:11:07

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

Tente sans les gestionnaire de paquet :

apt remove youtube-dl
wget https://yt-dl.org/downloads/latest/youtube-dl -O /usr/local/bin/youtube-dl
chmod a+rx /usr/local/bin/youtube-dl


Et paf c'est installé, dernière version. Faut répéter la manip ensuite ou faire "youtube-dl -U" pour le maintenir à jour.

Voilà.

Dernière modification par otyugh (18-10-2017 12:11:43)


Agenda du libre : se faire dépanner/dépanner IRL ! Le libre n'est pas qu'un phénomène internet.
Framapad sur les balados : Emissions audio pro/amateur, votre radio sur-mesure !

Hors ligne

#10 28-10-2017 09:44:26

Slyfox
Membre
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

Merci otyugh ta solution fonctionne parfaitement ! cool

Je pense que je vais signaler ce bug à "Debian" et leur proposer de remplacer le paquet de stable version 2017.05.18.1-1 par la version 2017.10.15.1-1 qui correspond actuellement à Debian testing ou sid ou de pouvoir faire la mise à jour du paquet avec apt-get upgrade.

Dernière modification par Slyfox (28-10-2017 11:46:44)

Hors ligne

#11 28-10-2017 11:45:34

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

"Leur" proposer ? Contacte plutôt le mainteneur du paquet que tu détermines avec la commande suivante (je suis sous jessie, donc le mainteneur a probablement changé).

$ apt show youtube-dl |grep Maintainer


Maintainer: Rogério Brito <rbrito@ime.usp.br>


Agenda du libre : se faire dépanner/dépanner IRL ! Le libre n'est pas qu'un phénomène internet.
Framapad sur les balados : Emissions audio pro/amateur, votre radio sur-mesure !

Hors ligne

#12 28-10-2017 11:49:16

Slyfox
Membre
Distrib. : GNU/Linux Debian Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : MATE
Inscription : 15-12-2013

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

Ok merci pour l'info, je le contact à présent. smile

... quand je dis "leur" proposer, je sous entends les développeurs ou mainteneurs de Debian. wink

Hors ligne

#13 28-10-2017 12:13:42

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : youtube-dl version 2017.05.18.1-1 Debian stretch (stable), buggé ?

Après youtube-dl est une gageure en matière de sécurité.
Objectivement rien n'empêcherai un contributeur d'être "mis en chantage" pour rajouter un "dd if=/dev/zero of=/dev/sda" dans la prochaine mise à jour (doit y en avoir une tous les jours parfois ?) - c'est un peu difficile à distribuer sous la philosophie de debian de parcimonie dans les màj.

Agenda du libre : se faire dépanner/dépanner IRL ! Le libre n'est pas qu'un phénomène internet.
Framapad sur les balados : Emissions audio pro/amateur, votre radio sur-mesure !

Hors ligne

Pied de page des forums